<?php

use Illuminate\Support\Facades\Broadcast;
use Illuminate\Support\Facades\Auth;

/*
|--------------------------------------------------------------------------
| Broadcast Channels
|--------------------------------------------------------------------------
|
| Here you may register all of the event broadcasting channels that your
| application supports. The given channel authorization callbacks are
| used to check if an authenticated user can listen to the channel.
|
*/

Broadcast::channel('App.Models.User.{id}', function ($user, $id) {
    return (int) $user->id === (int) $id;
});

Broadcast::channel('liveChat', function ($user) {
    return !is_null($user);
});

Broadcast::channel('agentMessaging', function ($user) {
    return $user;
});

// Broadcast::channel('livenotifications', function ($user) {
//     return Auth::check();
// });

Broadcast::channel('livenotifications', function ($user) {
    return !is_null($user);
});
